const express = require("express");
const router = express.Router();
const validateFirebaseIdTokenMiddleware = require("../middleware/validateFirebaseIdTokenMiddleware");
const withUserGraphQLClientMiddleware = require("../middleware/withUserGraphQLClientMiddleware");
const { cannySsoHandler } = require("../sso/canny");

router.use(validateFirebaseIdTokenMiddleware);

router.post("/canny", withUserGraphQLClientMiddleware, cannySsoHandler);

module.exports = router;
